Bug 800078 - Report synchronization failed when problems with downloading packages (for example due to mismatched checksums
Report synchronization failed when problems with downloading packages (for ex...
Status: CLOSED DUPLICATE of bug 798683
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 12:25 EST by Ivan Necas
Modified: 2013-03-27 16:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 03:57:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
response from pulp (4.56 KB, application/json)
2012-03-05 12:25 EST, Ivan Necas
no flags Details

  None (edit)
Description Ivan Necas 2012-03-05 12:25:45 EST
Created attachment 567691 [details]
response from pulp

Description of problem:
it occurs when checksums of files in .treeinfo (or perhaps in medatada) don't correspond to actual checksums of the files.

I've created a fake repo with similar problem here:
http://inecas.fedorapeople.org/fakerepos/ks_invalid . 3 files are not synchronized at all. But Katello reports the result as "Sync complete"

So for temporary workaround update img files to have correct checksums. We need
to figure out how to handle this problems generally: I would expect reporting
synchronization as unsuccessful.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create product and repo with files with invalid checksums (e.g.http://inecas.fedorapeople.org/fakerepos/ks_invalid)
2. syncrhonize
  
Actual results:
Pulp reports errors (see attachment), but Katello dont.

Expected results:

Katello reports "Sync failed"
Comment 1 Ivan Necas 2012-03-05 12:28:14 EST
This leads to unexpected behavior when trying to promote. (e.g. https://bugzilla.redhat.com/show_bug.cgi?id=798683). Without reporting problems in synchronization, it's hard to diagnose this kind of problems.

Note You need to log in before you can comment on or make changes to this bug.